## org.eclipse.datatools.modelbase.sql.expressions
Interface SQLExpressionsFactory

All Known Implementing Classes:
  SQLExpressionsFactoryImpl

public interface SQLExpressionsFactory

The Factory for the model. It provides a create method for each non-abstract class of the model.

See Also:
  `SQLExpressionsPackage`

Field Summary
`static SQLExpressionsFactory` `eINSTANCE` The singleton instance of the factory.

Method Summary
`QueryExpressionDefault` `createQueryExpressionDefault()` Returns a new object of class 'Query Expression Default'.
`SearchConditionDefault` `createSearchConditionDefault()` Returns a new object of class 'Search Condition Default'.
`ValueExpressionDefault` `createValueExpressionDefault()` Returns a new object of class 'Value Expression Default'.
`SQLExpressionsPackage` `getSQLExpressionsPackage()` Returns the package supported by this factory.

Field Detail

### eINSTANCE

    public static final SQLExpressionsFactory eINSTANCE

  The singleton instance of the factory.

Method Detail

### createQueryExpressionDefault

    public QueryExpressionDefault createQueryExpressionDefault()

  Returns a new object of class 'Query Expression Default'.

  Returns:
    a new object of class 'Query Expression Default'.

### createSearchConditionDefault

    public SearchConditionDefault createSearchConditionDefault()

  Returns a new object of class 'Search Condition Default'.

  Returns:
    a new object of class 'Search Condition Default'.

### createValueExpressionDefault

    public ValueExpressionDefault createValueExpressionDefault()

  Returns a new object of class 'Value Expression Default'.

  Returns:
    a new object of class 'Value Expression Default'.

### getSQLExpressionsPackage

    public SQLExpressionsPackage getSQLExpressionsPackage()

  Returns the package supported by this factory.

  Returns:
    the package supported by this factory.

Copyright © 2006 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.